# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/ata/apm,xgene-ahci.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: APM X-Gene 6.0 Gb/s SATA host controller

maintainers:
  - Rob Herring <robh@kernel.org>

properties:
  compatible:
    enum:
      - apm,xgene-ahci
      - apm,xgene-ahci-v2

  reg:
    minItems: 4
    items:
      - description: AHCI memory resource
      - description: Host controller core
      - description: Host controller diagnostic
      - description: Host controller AXI
      - description: Host controller MUX

  interrupts:
    maxItems: 1

  clocks:
    maxItems: 1

required:
  - compatible

unevaluatedProperties: false

allOf:
  - $ref: ahci-common.yaml#
  - if:
      properties:
        compatible:
          contains:
            const: apm,xgene-ahci
    then:
      required:
        - clocks
        - phys
        - phy-names

examples:
  - |
    sata@1a400000 {
        compatible = "apm,xgene-ahci";
        reg = <0x1a400000 0x1000>,
              <0x1f220000 0x1000>,
              <0x1f22d000 0x1000>,
              <0x1f22e000 0x1000>,
              <0x1f227000 0x1000>;
        clocks = <&sataclk 0>;
        dma-coherent;
        interrupts = <0x0 0x87 0x4>;
        phys = <&phy2 0>;
        phy-names = "sata-phy";
    };
